package com.gic.haoban.manage.service.service.out.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.hutool.core.collection.CollectionUtil;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.manage.api.dto.QywxCorpInfoSimpleDTO;
import com.gic.haoban.manage.api.dto.WxEnterpriseDTO;
import com.gic.haoban.manage.api.dto.YwWxEnterpriseDTO;
import com.gic.haoban.manage.api.service.StaffApiService;
import com.gic.haoban.manage.api.service.WxEnterpriseApiService;
import com.gic.haoban.manage.service.dao.mapper.WxEnterpriseMapper;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterprise;
import com.gic.haoban.manage.service.service.WxEnterpriseService;

@Service
public class WxEnterpriseApiServiceImpl implements WxEnterpriseApiService {
	
	@Autowired
	private WxEnterpriseService wxEnterpriseService;
	@Autowired
	private StaffApiService staffApiService;
	@Autowired
	private WxEnterpriseMapper wxEnterpriseMapper;
	
	@Override
	public void callbackReviceEnterprise(QywxCorpInfoSimpleDTO dto) {
		WxEnterpriseDTO wxDTO = EntityUtil.changeEntityByJSON(WxEnterpriseDTO.class, dto.getClass());
		String wxEnterpriseId = wxEnterpriseService.add(wxDTO);
		String userId = dto.getUserid();
		String name = dto.getName();
		staffApiService.wxGetAdd(userId,wxEnterpriseId);
		
		
	}

	@Override
	public List<YwWxEnterpriseDTO> list() {
		List<TabHaobanWxEnterprise>  list = wxEnterpriseMapper.list();
		if(CollectionUtil.isEmpty(list)){
			return new ArrayList<YwWxEnterpriseDTO>();
		}
		List<YwWxEnterpriseDTO>  resultList = EntityUtil.changeEntityListByJSON(YwWxEnterpriseDTO.class, list);
		return resultList;
	}
	
	

}
