package com.gic.haoban.manage.web.controller;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSON;
import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.StaffDTO;
import com.gic.haoban.manage.api.service.StaffApiService;
import com.gic.haoban.manage.web.auth.AuthRequestUtil;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;

import com.gic.haoban.manage.web.vo.LoginVO;

@RestController
public class LoginController extends WebBaseController{
	
	private static Logger logger= LoggerFactory.getLogger(LoginController.class);
	@Autowired
	StaffApiService staffApiService;
	
	@RequestMapping("login")
	public HaobanResponse login() {
		LoginVO loginVO = new LoginVO();
		StaffDTO staff = staffApiService.selectById("1");
		logger.info("【好办登录】staff={}",JSON.toJSONString(staff));
		loginVO.setWxEnterpriseId("1");
		loginVO.setStaffDTO(staff);
		AuthRequestUtil.setSessionUser(loginVO);
		return resultResponse(HaoBanErrCode.ERR_1, loginVO);
		
	}
	//运维登录
	@RequestMapping("yw-login")
	public HaobanResponse login(String wxEnterpriseId) {
		//TODO 获取超级管理员账号接口
		StaffDTO staff = new StaffDTO();
		
		
		
		LoginVO loginVO = new LoginVO();
		loginVO.setWxEnterpriseId(wxEnterpriseId);
		loginVO.setStaffDTO(staff);
		AuthRequestUtil.setSessionUser(loginVO);
		return resultResponse(HaoBanErrCode.ERR_1, loginVO);
	}
	
	@RequestMapping("login-out")
	public HaobanResponse loginOut() {
		
		AuthRequestUtil.delSessionUser();
		return resultResponse(HaoBanErrCode.ERR_1);
		
	}

}
